<?php
/**
 * @file
 * Node Utility
 */
 
/**
 * OM Tools Node Utility Settings
 *
 *
function om_node(&$form) {
  drupal_add_js(drupal_get_path('module', 'om_tools') . '/tools/node/js/node.js', 'module');	

  // Reset Node Form
  if ( variable_get('om_tools_node_reset', 0)) {
    variable_set('om_tools_node_label', 1);
    variable_set('om_tools_node_reset', 0);
  }  
  // Node Form
  $form['node_alter'] = array(
    '#type' => 'fieldset',
    '#title' => t('Node Form'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#description' => t(''),
  );
  $form['node_alter']['node_alter_switch'] = array(
    '#type' => 'checkbox',
    '#title' =>  t('Change Node Form'),
    '#default_value' => variable_get('om_tools_node_alter_switch', 0),
    '#description' => t(''),
  );  
  $form['node_alter']['node_settings'] = array(
    '#type' => 'fieldset',
    '#attributes' => array( 'id' => 'om-group-node-settings'),
    '#title' => t('Node Settings'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
    '#description' => t(''),
  );  
  $form['node_alter']['node_settings']['node_label'] = array(
    '#type' => 'checkbox',
    '#title' => t('Put labels inside the fields.'),
    '#default_value' => variable_get('om_tools_node_label', 1),
    '#description' => t(''),
  ); 
  $form['node_alter']['node_settings']['node_classes'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add node classes to body (page-type page-type-add page-type-edit page-type-view)'),
    '#default_value' => variable_get('om_tools_node_classes', 1),
    '#description' => t(''),
  );  	 
  $form['node_alter']['node_reset'] = array(
    '#type' => 'checkbox',
    '#title' => t('Reset to default values.'),      
    '#default_value' => variable_get('om_tools_node_reset', 0),
    '#description' => t(''),
  );                   
  return $form;  
}

*/
 
